Search
Returns currencies, exchanges, icos, people, tags on coinpaprika.com for a given search query.
Available on the following API plans:
- Free
- Starter
- Pro
- Business
- Enterprise
Update interval: Every 1 minute.
GET
/
search
CLI
curl --request GET \
--url 'https://api.coinpaprika.com/v1/search?q=btc'import requests
url = "https://api.coinpaprika.com/v1/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.coinpaprika.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currencies": [
{
"id": "btc-bitcoin",
"name": "Bitcoin",
"symbol": "BTC",
"rank": 1,
"is_new": false,
"is_active": true,
"type": "coin"
}
],
"icos": [
{
"id": "fil-filecoin-futures",
"name": "Filecoin",
"symbol": "FIL",
"is_new": false
}
],
"exchanges": [
{
"id": "binance",
"name": "Binance",
"rank": 1
}
],
"people": [
{
"id": "vitalik-buterin",
"name": "Vitalik Buterin",
"teams_count": 5
}
],
"tags": [
{
"id": "blockchain-service",
"name": "Blockchain Service",
"coin_counter": 160,
"ico_counter": 80
}
]
}{
"error": "you have reached maximum request limit"
}Query Parameters
phrase for search eg. btc
one or more categories (comma separated) to search. Available options: currencies|exchanges|icos|people|tags
set modifier for search results. Available options: symbol_search - search only by symbol (works for currencies only)
limit of results per category (max 250)
⌘I
CLI
